Subject: Re: powerpc/perf/hv-gpci: Increase request buffer size

From: Sukadev Bhattiprolu <[email-masked]>
Date: Tue, 9 Feb 2016 19:14:10 -0800

Michael Ellerman [[email-masked]] wrote:
> Here you read from bytes[i] where i can be > 1 (AFAICS).

Yes, buffer is large enough and I thought this construct of
array was used in a several places. Maybe they are being
changed out now (struct pid has one such usage).

> 
> That's fishy at best, and newer GCCs just don't allow it.

Ah, ok.
> 
> I think you could do this and it would work, but untested:
> 
>    struct hv_gpci_request_buffer {
>    	struct hv_get_perf_counter_info_params params;
>    	uint8_t bytes[4096 - sizeof(struct hv_get_perf_counter_info_parms)];

There is a macro for this computation in that file. I could have
used that. Will change it and repost.

Thanks,

Sukadev